commit bbe02153f6baeb2b548daa31bfd590bdc2469305
parent 8926282c8201befe18ba9c6d3bf094464d5824d2
Author: bdmfegys@duck.com <bdmfegys@duck.com>
Date: Sun, 24 Mar 2024 01:46:48 -0400
rename .dwm folder to autostart
Diffstat:
1 file changed, 50 insertions(+), 0 deletions(-)
diff --git a/autostart/autostart.sh b/autostart/autostart.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+#<=============================================================
+#|| _
+#|| _ __ ___ _ __ __ _ _ __ ___ _ _ ___ ___( )___
+#|| | '_ ` _ \| '__/ _` | '__/ _ \| | | / __|/ _ \// __|
+#|| | | | | | | | | (_| | | | (_) | |_| \__ \ __/ \__ \
+#|| |_| |_| |_|_| \__, |_| \___/ \__,_|___/\___| |___/
+#|| |___/
+#|| _ _ _
+#|| __ _ _ _| |_ ___ ___| |_ __ _ _ __| |_
+#|| / _` | | | | __/ _ \/ __| __/ _` | '__| __|
+#|| | (_| | |_| | || (_) \__ \ || (_| | | | |_
+#|| \__,_|\__,_|\__\___/|___/\__\__,_|_| \__|
+#||
+#<=============================================================
+xrandr --auto
+slstatus &
+
+# enable the wallpaper line(s) if you are using my wallpaper setter, included in my dotfiles
+# for dotfiles, see https://git.tetraonini.online/grouse/dotfiles
+
+# X utilities
+#picom &
+#wal -R &
+#dunst &
+
+# if you use multiple monitors, customize this example function and that i use for my double monitor setup, and uncomment the call to the function
+screensetup() {
+ xrandr --output DP-0 --mode 1920x1080 --rate 140 --right-of HDMI-0 --output HDMI-0 --mode 1920x1080 --rate 165
+}
+#screensetup &
+
+# X wallpaper setters
+#feh --bg-fill $HOME/.config/wall.png &
+# or you can use xgifwallpaper for gifs if you have it installed
+#xgifwallpaper -s FILL Pictures/wallpapers/gif/cyberpunkcrop.gif &
+
+# use suckless' lock util with xautolock
+#xautolock -time 7 -locker slock
+
+# GUI apps can go here
+#cider &
+#vesktop &
+#signal-desktop &
+#pasystray &
+
+# mate GUI polkit daemon, swap out with anything else
+#exec /usr/lib/mate-polkit/polkit-mate-authentication-agent-1 &
+# gnome-keyring daemon, replace with whatever you have installed on your system if you'd like
+#gnome-keyring-daemon &